## kernel-image-2.6.8-hppa 2.6.8-7sarge1

=== debian/changelog ===
kernel-image-2.6.8-hppa (2.6.8-7sarge1) oldstable-security; urgency=high

  * Rebuild against kernel-tree-2.6.8-17sarge1
    * compat_sys_mount-NULL-data_page.dpatch
      [SECURITY] Fix oops in compat_sys_mount triggered by NULL data_page
      See CVE-2006-7203
    * pppoe-socket-release-mem-leak.dpatch
      [SECURITY] fix unpriveleged memory leak when a PPPoE socket is released
      after connect but before PPPIOCGCHAN ioctl is called upon it
      See CVE-2007-2525
    * dn_fib-out-of-bounds.dpatch, ipv4-fib_props-out-of-bounds.dpatch
      [SECURITY] Fix out of bounds condition in dn_fib_props[]
      See CVE-2007-2172
    * aacraid-ioctl-perm-check.dpatch
      [SECURITY] Require admin capabilities to issue ioctls to aacraid devices
      See CVE-2007-4308
    * reset-pdeathsig-on-suid.dpatch
      [SECURITY] Fix potential privilege escalation caused by improper
      clearing of the child process' pdeath signal.
      See CVE-2007-3848
    * bluetooth-l2cap-hci-info-leaks.dpatch
      [SECURITY] Fix information leaks in setsockopt() implementations
      See CVE-2007-1353
    * coredump-only-to-same-uid.dpatch
      [SECURITY] Fix an issue where core dumping over a file that
      already exists retains the ownership of the original file
      See CVE-2007-6206
    * i4l-isdn_ioctl-mem-overrun.dpatch
      [SECURITY] Fix potential isdn ioctl memory overrun
      See CVE-2007-6151
    * cramfs-check-block-length.dpatch
      [SECURITY] Add a sanity check of the block length in cramfs_readpage to
      avoid a potential oops condition
      See CVE-2006-5823
    * ext2-skip-pages-past-num-blocks.dpatch
      [SECURITY] Add some sanity checking for a corrupted i_size in
      ext2_find_entry()
      See CVE-2006-6054
    * minixfs-printk-hang.dpatch
      [SECURITY] Rate-limit printks caused by accessing a corrupted minixfs
      filesystem that would otherwise cause a system to hang (printk storm)
      See CVE-2006-6058
    * isdn-net-overflow.dpatch
      [SECURITY] Fix potential overflows in the ISDN subsystem
      See CVE-2007-6063
    * prevent-stack-growth-into-hugetlb-region.dpatch
      [SECURITY] Prevent OOPS during stack expansion when the VMA crosses
      into address space reserved for hugetlb pages.
      See CVE-2007-3739
    * cifs-honor-umask.dpatch
      [SECURITY] Make CIFS honor a process' umask
      See CVE-2007-3740
    * hugetlb-prio_tree-unit-fix.dpatch
      [SECURITY] Fix misconversion of hugetlb_vmtruncate_list to prio_tree
      which could be used to trigger a BUG_ON() call in exit_mmap.
      See CVE-2007-4133
    * amd64-zero-extend-32bit-ptrace.dpatch
      [SECURITY] Zero extend all registers after ptrace in 32-bit entry path.
      See CVE-2007-4573
    * usb-pwc-disconnect-block.dpatch
      [SECURITY] Fix issue with unplugging webcams that use the pwc driver.
      If userspace still has the device open it can result, the driver would
      wait for the device to close, blocking the USB subsystem.
      See CVE-2007-5093
    * powerpc-chrp-null-deref.dpatch
      [SECURITY][powerpc] Fix NULL pointer dereference if get_property
      fails on the subarchitecture
      See CVE-2007-6694
    * random-bound-check-ordering.dpatch
      [SECURITY] Fix stack-based buffer overflow in the random number
      generator
      See CVE-2007-3105
    * mmap-VM_DONTEXPAND.dpatch
      [SECURITY] Add VM_DONTEXPAND to vm_flags in drivers that register
      a fault handler but do not bounds check the offset argument
      See CVE-2008-0007

 -- dann frazier <dannf@debian.org>  Tue, 19 Feb 2008 20:51:43 -0700

kernel-image-2.6.8-hppa (2.6.8-7) oldstable; urgency=high

  * Rebuild against kernel-tree-2.6.8-17
    [ Simon Horman ]
    * drivers-net-via-rhine-wol-oops.dpatch (removed):
      This patch breaks the via-rhine driver and 2.6.8 and is
      completely bogus for this version of the kernel
      (closes: #311357)

    * drivers-media-vidio-bttv-vc100xp-detect.dpatch
      Allow Leadtek WinFast VC100 XP cards to work.

    * fs-jbd-checkpoint-assertion.dpatch
      Fix possible false assertion failure in log_do_checkpoint(). We might fail
      to detect that we actually made a progress when cleaning up the checkpoint
      lists if we don't retry after writing something to disk.

    * mm-rmap-out-of-bounds-pte.dpatch
      Stop try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()

    * net-ipv4-netfilter-ip_queue-deadlock.dpatch
      Fix deadlock with ip_queue and tcp local input path.

    * asm-i386-mem-clobber.dpatch:
      Make sure gcc doesn't reorder memory accesses in strncmp and friends on
      i386.

    * drivers-acpi-pci_irq-elcr.dpatch:
      Make sure we call acpi_register_gsi() even for default PCI interrupt
      assignment. That's the part that keeps track of the ELCR register, and we
      want to make sure that the PCI interrupts are properly marked level/low.

    [ dann frazier ]
    * Merge in applicable fixes from 2.6.12.4
       - netfilter-deadlock-ip6_queue.dpatch
       - rocket_c-fix-ldisc-ref-count.dpatch
       - early-vlan-fix.dpatch

    [ Simon Horman ]
    * drivers-sata-promise-sataii_tx2_tx4.dpatch
      Add SATAII TX2 and TX2/TX4 support to sata promise driver
      (Closes: #317286)

    * module-per-cpu-alignment-fix.dpatch
      Module per-cpu alignment cannot always be met
      From 2.6.12.5

    * genelink-usbnet-skb-typo.dpatch
      fix gl_skb/skb type error in genelink driver in usbnet
      Backported From 2.6.12.6

    * drivers-ide-ppp-pmac-build.dpatch
      Make sure BLK_DEV_IDEDMA_PCI is defined for pmac ide driver builds
      (closes: #321442)

    * fs-ext3-nfs-parent-fix.dpatch
      ext3 file systems mounted over nfs may lookup .. in dx directories
      causing an oops.
      (closes: #323557)

    * sparc-request_irq-in-RTC-fix.dpatch
      Use SA_SHIRQ in sparc specific code.
      From 2.6.13.1

    * forcedeth-init-link-settings-in-nv_open.patch

