=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Kyle McMartin <kyle@debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: kernel-tree-2.6.8-13, kernel-patch-2.6.8-hppa (>= 2.6.8-5), kernel-package, debianutils (>= 1.6), debhelper (>= 2), bzip2, modutils (>=2.4.21-3), gcc-3.3-hppa64, binutils-hppa64
+Uploaders: Bdale Garbee <bdale@gag.com>, dann frazier <dannf@debian.org>
+Build-Depends: kernel-tree-2.6.8-17sarge1, kernel-patch-2.6.8-hppa (= 2.6.8-5sarge1), kernel-package, debianutils (>= 1.6), debhelper (>= 2), bzip2, module-init-tools, gcc-3.3-hppa64, binutils-hppa64
 Standards-Version: 3.5.4
 
-Package: kernel-headers-2.6.8-2
+Package: kernel-headers-2.6.8-4
 Architecture: hppa
 Section: devel
 Priority: optional
@@ -15,21 +15,21 @@
 Description: Header files for the Linux kernel version 2.6.8
  This package provides kernel header files for version 2.6.8, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/kernel-headers-2.6.8-2/debian.README.gz for details.
+ /usr/share/doc/kernel-headers-2.6.8-4/debian.README.gz for details.
 
-Package: kernel-headers-2.6.8-2-32
+Package: kernel-headers-2.6.8-4-32
 Architecture: hppa
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers 2.6.8 on HP PA-RISC 32-bit systems
  This package provides kernel header files for version 2.6.8 on
  HP PA-RISC 32-bit systems, for sites that want the latest kernel headers.
- Please read /usr/share/doc/kernel-headers-2.6.8-2-32/debian.README.gz for
+ Please read /usr/share/doc/kernel-headers-2.6.8-4-32/debian.README.gz for
  details.
 
-Package: kernel-image-2.6.8-2-32
+Package: kernel-image-2.6.8-4-32
 Architecture: hppa
 Section: base
 Priority: optional
@@ -46,19 +46,19 @@
  and it is suggested that you install that package if you wish to create a
  custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-2-64
+Package: kernel-headers-2.6.8-4-64
 Architecture: hppa
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers 2.6.8 on HP PA-RISC 64-bit systems
  This package provides kernel header files for version 2.6.8 on
  HP PA-RISC 64-bit systems, for sites that want the latest kernel headers.
- Please read /usr/share/doc/kernel-headers-2.6.8-2-64/debian.README.gz for
+ Please read /usr/share/doc/kernel-headers-2.6.8-4-64/debian.README.gz for
  details.
 
-Package: kernel-image-2.6.8-2-64
+Package: kernel-image-2.6.8-4-64
 Architecture: hppa
 Section: base
 Priority: optional
@@ -75,19 +75,19 @@
  and it is suggested that you install that package if you wish to create a
  custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-2-32-smp
+Package: kernel-headers-2.6.8-4-32-smp
 Architecture: hppa
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers 2.6.8 on HP PA-RISC 32-bit systems
  This package provides kernel header files for version 2.6.8 on
  HP PA-RISC 32-bit systems, for sites that want the latest kernel headers.
- Please read /usr/share/doc/kernel-headers-2.6.8-2-32/debian.README.gz for
+ Please read /usr/share/doc/kernel-headers-2.6.8-4-32/debian.README.gz for
  details.
 
-Package: kernel-image-2.6.8-2-32-smp
+Package: kernel-image-2.6.8-4-32-smp
 Architecture: hppa
 Section: base
 Priority: optional
@@ -104,19 +104,19 @@
  and it is suggested that you install that package if you wish to create a
  custom kernel from the sources.
 
-Package: kernel-headers-2.6.8-2-64-smp
+Package: kernel-headers-2.6.8-4-64-smp
 Architecture: hppa
 Section: devel
 Priority: optional
-Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-2
+Depends: coreutils | fileutils (>= 4.0), kernel-headers-2.6.8-4
 Provides: kernel-headers, kernel-headers-2.6
 Description: Linux kernel headers 2.6.8 on HP PA-RISC 64-bit systems
  This package provides kernel header files for version 2.6.8 on
  HP PA-RISC 64-bit systems, for sites that want the latest kernel headers.
- Please read /usr/share/doc/kernel-headers-2.6.8-2-64/debian.README.gz for
+ Please read /usr/share/doc/kernel-headers-2.6.8-4-64/debian.README.gz for
  details.
 
-Package: kernel-image-2.6.8-2-64-smp
+Package: kernel-image-2.6.8-4-64-smp
 Architecture: hppa
 Section: base
 Priority: optional
